<?php
include '../config.php';
include '../func.php';
head();
aut();
ban();

####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'service' WHERE `id` = '".$id_session."'");
####################################################
echo head ."Сервисы / <b>100500</b>".div.katalog;

$calcs = array('index','rubdol','rubeur','dolrub','eurrub','servic'); //массив составляющих страницы
if (!in_array($calc, $calcs)) $calc = 'index'; // если элемента нет в массиве, то еттот главный

$_POST['v2']=intval($_POST['v2']);

if($calc=='index')
    {
	echo '<div class="a"/>Выбирите во что преоброзовать:<div/>';
	echo '&#187; <a href="convert.php?calc=rubdol&amp;url='.$_GET['url'].'">Доллар в Рубль</a><br />';
	echo '&#187; <a href="convert.php?calc=rubeur&amp;url='.$_GET['url'].'">Евро в Рубль</a><br />';
	echo '&#187; <a href="convert.php?calc=dolrub&amp;url='.$_GET['url'].'">Рубль в Доллар</a><br />';
	echo '&#187; <a href="convert.php?calc=eurrub&amp;url='.$_GET['url'].'">Рубль в Евро</a><br />';

    }




if($calc=='rubdol')
    {
	if(isset($_POST['but']))
	   {
$dol=$dollar;
		$value = $dol*$_POST['v2'];
		echo 'Ваш результат : <b>'.$value.'</b><br/>';
	   }

echo '

    <form method="post" action="convert.php?calc=rubdol&amp;url='.$_GET['url'].'"  style="margin:0;padding:0">
    Dollar: <br/><input id="recive" type="test" name="v2" value="" /><br/>
    <input id="buton" name="but" type="submit" value=" Результат  &rarr; "/><br/>
    </form>';

	
 }

if($calc=='rubeur')
    {
	if(isset($_POST['but']))
	   {
$eur=$euro;
		$value = $eur*$_POST['v2'];
		echo 'Ваш результат : <b>'.$value.'</b><br/>';
	   }


echo '
    <form method="post" action="convert.php?calc=rubeur&amp;url='.$_GET['url'].'"  style="margin:0;padding:0">
    Euro: <br/><input id="recive" type="test" name="v2" value="" /><br/>
    <input id="buton" name="but" type="submit" value=" Результат  &rarr; "/><br/>
    </form>';

	
 }



if($calc=='dolrub')
    {

	if(isset($_POST['but']))
	   {
$dol=$dollar;
		$value = $dol/$_POST['v2'];
		echo 'Ваш результат : <b>'.$value.'</b><br/>';
	   }

echo '
    <form method="post" action="convert.php?calc=dolrub&amp;url='.$_GET['url'].'"  style="margin:0;padding:0">
    Рубль: <br/><input id="recive" type="test" name="v2" value="" /><br/>
    <input id="buton" name="but" type="submit" value=" Результат  &rarr; "/><br/>
    </form>';

	
 }

if($calc=='eurrub')
    {

	if(isset($_POST['but']))
	   {
$eur=$euro;
		$value = $eur/$_POST['v2'];
		echo 'Ваш результат : <b>'.$value.'</b><br/>';
	   }

echo '
    <form method="post" action="convert.php?calc=eurrub&amp;url='.$_GET['url'].'"  style="margin:0;padding:0">
    Рубль: <br/><input id="recive" type="test" name="v2" value="" /><br/>
    <input id="buton" name="but" type="submit" value="Результат  &rarr; "/><br/>
    </form>';

	
 }


if($calc=='servic')
    {
		echo 'Вы можете поставить этот скрипт к себе на сайт!<br/>';
		echo 'http://'.$_SERVER['HTTP_HOST'].''.$_SERVER['PHP_SELF'].'?url=ваш_сайт <br/>';
		echo 'меняем слово ваш_сайт на адрес вашего сайта без http://<br/>';
		echo 'Скопировать <input id="recive" type="test" name="v2" value="http://'.$_SERVER['HTTP_HOST'].''.$_SERVER['PHP_SELF'].'?url=ваш_сайт" /><br/>';
	}

echo '<hr>';

echo div;
navig();
foot();
?>